<?php
require_once 'vendor/autoload.php';

use Firebase\JWT\JWT;
use Firebase\JWT\Key;

// Chave secreta usada para assinar o token (deve ser mantida em segredo)
$chaveSecreta = <<<EOD
-----BEGIN RSA PRIVATE KEY-----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-----END RSA PRIVATE KEY-----
EOD;

$chaveSecreta= str_replace(array("\r"), '', $chaveSecreta);

$usuario = '08887042675';// usuário a ser autenticado
$salt = 'P5qR=6sTuV!o'; 
$location = 'https://moodle-devel.solis.com.br/devel-mauricio/my/';
$jwtURL = 'https://moodle-devel.solis.com.br/devel-mauricio/local/solisge/auth_jwt.php';



$check = md5($salt.$usuario);
//informações passadas para o moodle
$dadosUsuario = [
	'username' => $usuario,
    'location' => $location,
	'checksum' => $check
];


// Configurações do token
$tokenId = base64_encode(random_bytes(32)); // ID do token
$issuedAt = time(); // Data de emissão do token
$expirationTime = $issuedAt + 3600; // Tempo de expiração do token (1 hora)

// Construção do token JWT
$token = [
    'iat' => $issuedAt,
    'jti' => $tokenId,
    'exp' => $expirationTime,
    'data' => $dadosUsuario
];

// Geração do token JWT
$jwt = JWT::encode($token, $chaveSecreta, 'HS256');

header('Location: '.$jwtURL.'?jwt='.$jwt);
die();
