<?php
defined('MOODLE_INTERNAL') || die();

function xmldb_local_solisge_install() {
    global $DB;

    //Criando tabela que armzena as transações realizadas pelo SolisGE no Moodle
    $table = new xmldb_table('local_solisge_transactions');

    $field_id = new xmldb_field('id', XMLDB_TYPE_INTEGER, '10', null, XMLDB_NOTNULL, XMLDB_SEQUENCE, null);
    $field_resource = new xmldb_field('resource', XMLDB_TYPE_CHAR, '255', null, XMLDB_NOTNULL, null, null);
    $field_transaction = new xmldb_field('transaction', XMLDB_TYPE_CHAR, '255', null, XMLDB_NOTNULL, null, null);
    $field_value = new xmldb_field('value', XMLDB_TYPE_TEXT, null, null, XMLDB_NOTNULL, null, null);
    $field_datetime = new xmldb_field('datetime', XMLDB_TYPE_INTEGER, '10', null, XMLDB_NOTNULL, null, null);

    $table->addField($field_id);
    $table->addField($field_resource);
    $table->addField($field_transaction);
    $table->addField($field_value);
    $table->addField($field_datetime);

    $key_id = new xmldb_key('primary', XMLDB_KEY_PRIMARY, array('id'));

    $table->addKey($key_id);

    if(!$DB->get_manager()->table_exists($table)){
        $DB->get_manager()->create_table($table);
    }
    /*if (!$DB->table_exists($table)) {
        $DB->get_manager()->create_table($table);
    }*/

}

