<?php

require_once '../../config.php';
require_once 'lib.php';

$jwt = required_param('jwt',PARAM_RAW);

use Firebase\JWT\JWT;
use Firebase\JWT\Key;

try {
    $jwtData = jwt_get_info($jwt);

    $user = $DB->get_record('user',array('username'=> $jwtData->username));

    if(!$user){
	    throw new Exception(get_string('error:usernotfound','local_solisge'));
    }

    log_transaction('jwt','authuser', array('username'=>$user->username));
    complete_user_login($user);
    header('Location: '.$jwtData->location);
    die();

} catch (Exception $e) {
    echo 'Erro: ' . $e->getMessage();
}
